<?php
require_once 'config.php';

function connectDB() {
    try {
        return new PDO("mysql:host=" . DB_HOST . ";dbname=" . DB_NAME,
                       DB_USER, DB_PASS,
                       [PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION]);
    } catch (PDOException $e) {
        die("DB connection failed: " . $e->getMessage());
    }
}

function addUser($telegram_id, $payment_id, $plan, $expires_on) {
    $db = connectDB();
    $stmt = $db->prepare("INSERT INTO users (telegram_id, payment_id, plan, expires_on) VALUES (?, ?, ?, ?)");
    return $stmt->execute([$telegram_id, $payment_id, $plan, $expires_on]);
}
