<?php
require_once 'config.php';
require_once 'db.php';

$payload = file_get_contents("php://input");
$headers = getallheaders();
$received_sig = $headers['X-Razorpay-Signature'] ?? '';

$expected_sig = hash_hmac('sha256', $payload, RAZORPAY_WEBHOOK_SECRET);

if (!hash_equals($expected_sig, $received_sig)) {
    http_response_code(403);
    exit("Invalid signature");
}

$data = json_decode($payload, true);

if ($data['event'] == 'payment.captured') {
    $payment = $data['payload']['payment']['entity'];
    $tg_id = $payment['notes']['telegram_id'];
    $plan = $payment['notes']['plan'];
    $payment_id = $payment['id'];

    $expires = date('Y-m-d H:i:s', strtotime("+7 days"));
    addUser($tg_id, $payment_id, $plan, $expires);

    file_get_contents("https://api.telegram.org/bot" . TELEGRAM_BOT_TOKEN .
        "/sendMessage?chat_id=$tg_id&text=" . urlencode("✅ Payment received! Join the group: " . TELEGRAM_GROUP_LINK));
}
